Bug 1552475 (CVE-2018-6059)

Summary: CVE-2018-6059 chromium-browser: use-after-free in flash
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: tcallawa, tpopela, yaneti
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: chromium-browser 65.0.3325.146 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-03-14 11:53:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1552510    

Description Andrej Nemec 2018-03-07 08:27:39 UTC
An use after free flaw was found in the Flash component of the Chromium browser.

Upstream bug(s):

https://code.google.com/p/chromium/issues/detail?id=758863

External References:

https://chromereleases.googleblog.com/2018/03/stable-channel-update-for-desktop.html

Comment 1 Andrej Nemec 2018-03-07 08:51:52 UTC
Created chromium tracking bugs for this issue:

Affects: fedora-all [bug 1552502]
Affects: epel-7 [bug 1552504]

Comment 5 Tomas Hoger 2018-03-14 11:53:37 UTC
The Google blog post referenced in comment 0 was updated and no longer mentions this CVE.  It now lists different CVE for this issue instead:

[$5000][758863] High CVE-2017-11225: Use after free in Flash. Reported by JieZeng of Tencent Zhanlu Lab on 2017-08-25

The CVE-2017-11225 is for Adobe Flash Player and it was previously covered by Adobe Security Bulletin APSB17-33, released on Nov14, 2017:

https://helpx.adobe.com/security/products/flash-player/apsb17-33.html

Note that the chromium-browser packages as shipped in Red Hat Enterprise Linux 6 Supplementary do not bundle Adobe Flash Player and can not be affected by any Flash issues.